﻿using System;

namespace TMD.MessagingSystem.ModelDtos.Aggreagates
{
    public class ErrorInfo
    {
        public string Message { get; set; }
        public string StackTrace { get; set; }

        public ErrorInfo() { }
        public ErrorInfo(Exception ex)
        {
            Message = ex.Message;
            StackTrace = ex.StackTrace;
        }
        public override string ToString()
        {
            return string.Format("Error Message is {0} with a Stack Stack Trace 0f {1}",
                                 Message, StackTrace);
        }
    }
}