﻿using TMD.MessagingSystem.Helpers;

namespace TMD.MessagingSystem.ModelDtos
{
    public class MessageInfoResponse : ResponseCommon
    {
        public SystemMessage SystemMessage { get; set; }

        public MessageInfoResponse()
        {
            SystemMessage = new SystemMessage();
        }

        public override string ToString()
        {
            return string.Format("Component {0} with Message Tag {1} and a Message Type of {2}. The Active State is: {3} with a Message of {4}",
                                 SystemMessage.ComponentName, SystemMessage.MessageTag,
                                 SystemMessage.MessageType, SystemMessage.IsActive, SystemMessage.Message);
        }
    }
}