﻿using TMD.MessagingSystem.Helpers;

namespace TMD.MessagingSystem.ModelDtos
{
    public class MessageInfoRequest : RequestCommon
    {
        public string ComponentName { get; set; }
        public string MessageTag { get; set; }

        public override string ToString()
        {
            return string.Format("The Component {0} with Message Tag {1} has Requested a Message. Success Flag is Set to {2}",
                                 ComponentName, MessageTag, Success);
        }
    }
}